com.example.instilostandfound

## Class LostItemLocationFragment

- java.lang.Object
- - androidx.fragment.app.Fragment
  - - com.example.instilostandfound.LostItemLocationFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.view.View.OnClickListener, android.view.View.OnCreateContextMenuListener, androidx.lifecycle.LifecycleOwner, androidx.lifecycle.ViewModelStoreOwner, androidx.savedstate.SavedStateRegistryOwner, com.google.android.gms.maps.GoogleMap.OnMarkerClickListener, com.google.android.gms.maps.GoogleMap.OnMarkerDragListener, com.google.android.gms.maps.OnMapReadyCallback

      public class LostItemLocationFragment
      extends androidx.fragment.app.Fragment
      implements com.google.android.gms.maps.OnMapReadyCallback, com.google.android.gms.maps.GoogleMap.OnMarkerDragListener, com.google.android.gms.maps.GoogleMap.OnMarkerClickListener, android.view.View.OnClickListener

  Fragment for lost item location A simple `Fragment` subclass.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class androidx.fragment.app.Fragment

      `androidx.fragment.app.Fragment.InstantiationException, androidx.fragment.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `android.view.View` | `mView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LostItemLocationFragment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onClick(android.view.View view)` implemented clickable event, select to select location of lost item
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)`
    `void` | `onMapReady(com.google.android.gms.maps.GoogleMap googleMap)` Populatesmap with required info Adds marker and sets its location
    `boolean` | `onMarkerClick(com.google.android.gms.maps.model.Marker marker)` defines what happens when marker is clicked
    `void` | `onMarkerDrag(com.google.android.gms.maps.model.Marker marker)`
    `void` | `onMarkerDragEnd(com.google.android.gms.maps.model.Marker marker)` Defines what happens when the marker is dragged
    `void` | `onMarkerDragStart(com.google.android.gms.maps.model.Marker marker)`
    `void` | `onViewCreated(android.view.View view, android.os.Bundle savedInstanceState)` Sets map's view

    - ### Methods inherited from class androidx.fragment.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSavedStateRegistry, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onPrimaryNavigationFragmentChanged, onRequestPermissionsResult, onResume, onSaveInstanceState, onStart, onStop, onViewStateRestored, postponeEnterTransition, postponeEnterTransition, registerForContextMenu, requestPermissions, requireActivity, requireArguments, requireContext, requireFragmentManager, requireHost, requireParentFragment, requireView, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mView

          public android.view.View mView

  - ### Constructor Detail

    - #### LostItemLocationFragment

          public LostItemLocationFragment()

  - ### Method Detail

    - #### onCreateView

          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                android.view.ViewGroup container,
                                                android.os.Bundle savedInstanceState)

      Overrides:
        `onCreateView` in class `androidx.fragment.app.Fragment`

    - #### onViewCreated

          public void onViewCreated(android.view.View view,
                                    android.os.Bundle savedInstanceState)

      Sets map's view
      Overrides:
        `onViewCreated` in class `androidx.fragment.app.Fragment`
      Parameters:
        `view` -
        `savedInstanceState` -

    - #### onMapReady

          public void onMapReady(com.google.android.gms.maps.GoogleMap googleMap)

      Populatesmap with required info Adds marker and sets its location
      Specified by:
        `onMapReady` in interface `com.google.android.gms.maps.OnMapReadyCallback`
      Parameters:
        `googleMap` -

    - #### onClick

          public void onClick(android.view.View view)

      implemented clickable event, select to select location of lost item
      Specified by:
        `onClick` in interface `android.view.View.OnClickListener`
      Parameters:
        `view` -

    - #### onMarkerClick

          public boolean onMarkerClick(com.google.android.gms.maps.model.Marker marker)

      defines what happens when marker is clicked
      Specified by:
        `onMarkerClick` in interface `com.google.android.gms.maps.GoogleMap.OnMarkerClickListener`
      Parameters:
        `marker` -
      Returns:

    - #### onMarkerDragStart

          public void onMarkerDragStart(com.google.android.gms.maps.model.Marker marker)

      Specified by:
        `onMarkerDragStart` in interface `com.google.android.gms.maps.GoogleMap.OnMarkerDragListener`

    - #### onMarkerDrag

          public void onMarkerDrag(com.google.android.gms.maps.model.Marker marker)

      Specified by:
        `onMarkerDrag` in interface `com.google.android.gms.maps.GoogleMap.OnMarkerDragListener`

    - #### onMarkerDragEnd

          public void onMarkerDragEnd(com.google.android.gms.maps.model.Marker marker)

      Defines what happens when the marker is dragged
      Specified by:
        `onMarkerDragEnd` in interface `com.google.android.gms.maps.GoogleMap.OnMarkerDragListener`
      Parameters:
        `marker` -